<?php
namespace NicolasBejean\CategoryWidget\Controller\Adminhtml\CategoryWidget;

use \Magento\Backend\App\Action\Context;
use \Magento\Backend\Model\View\Result\Page;
use \Magento\Framework\Controller\ResultInterface;
use \Magento\Framework\Registry;
use \Magento\Framework\View\Result\PageFactory;
use \NicolasBejean\CategoryWidget\Controller\Adminhtml\CategoryWidget;
use \Magento\Framework\App\Request\DataPersistorInterface;

/**
 * Class Index
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Controller\Adminhtml\CategoryWidget
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */class Index extends CategoryWidget
{
    /**
     * @var PageFactory
     */
    protected $resultPageFactory;

    /**
     * @param Context               $context
     * @param Registry              $coreRegistry
     * @param PageFactory           $resultPageFactory
     */
    public function __construct(
        Context                     $context,
        Registry                    $coreRegistry,
        PageFactory                 $resultPageFactory
    ) {
        $this->resultPageFactory    = $resultPageFactory;

        parent::__construct($context, $coreRegistry);
    }

    /**
     * Index action
     *
     * @return ResultInterface
     */
    public function execute()
    {
        /** @var Page $resultPage */
        $resultPage = $this->resultPageFactory->create();
        $this->initPage($resultPage)->getConfig()->getTitle()->prepend(__('Image Slider Manager'));

        $dataPersistor = $this->_objectManager->get(DataPersistorInterface::class);
        $dataPersistor->clear('nicolasbejean_categorywidget_item');

        return $resultPage;
    }
}
