<?php
namespace NicolasBejean\CategoryWidget\Controller\Adminhtml\CategoryWidget;

use \Magento\Backend\App\Action\Context;
use \Magento\Backend\Model\View\Result\ForwardFactory;
use \Magento\Framework\Controller\Result\Forward;
use \Magento\Framework\Controller\ResultInterface;
use \Magento\Framework\Registry;
use \NicolasBejean\CategoryWidget\Controller\Adminhtml\CategoryWidget;

/**
 * Class NewAction
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Controller\Adminhtml\CategoryWidget
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
class NewAction extends CategoryWidget
{
    /**
     * @var ForwardFactory
     */
    protected $resultForwardFactory;

    /**
     * @param Context                   $context
     * @param Registry                  $coreRegistry
     * @param ForwardFactory            $resultForwardFactory
     */
    public function __construct(
        Context                         $context,
        Registry                        $coreRegistry,
        ForwardFactory                  $resultForwardFactory
    ) {
        $this->resultForwardFactory     = $resultForwardFactory;

        parent::__construct($context, $coreRegistry);
    }

    /**
     * Create new category widget
     *
     * @return ResultInterface
     */
    public function execute()
    {
        /** @var Forward $resultForward */
        $resultForward = $this->resultForwardFactory->create();
        return $resultForward->forward('edit');
    }
}
